QDataPump(3qt)

NAME
QDataPump - Moves data from a

#include <qasyncio.h>

Inherits QObject.

  Public Members
QDataPump ( QDataSource *, QDataSink * )

DESCRIPTION
Moves data from a QDataSource to a QDataSink during event processing.

For a QDataSource to provide data to a QDataSink, a controller must exist to examine the QDataSource::readyToSend() and QDataSink::readyToReceive() methods and respond to the QASyncIO::activate() signal of the source and sink. One very useful way to do this is interleaved with other event processing. QDataPump provides this - create a pipe between a source and a sink, and data will be moved during subsequent event processing.

Note that each source can only provide data to one sink and each sink can only receive data from one source (although it is quite possible to write a multiplexing sink that is multiple sources).

MEMBER FUNCTION DOCUMENTATION

QDataPump::QDataPump ( QDataSource * data_source, QDataSink * data_sink )
Constructs a QDataPump to move data from a given data_source to a given data_sink.

SEE ALSO
http://doc.trolltech.com/qdatapump.html http://www.trolltech.com/faq/tech.html

COPYRIGHT
Copyright 1992-2001 Trolltech AS, http://www.trolltech.com. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.

BUGS
If you find a bug in Qt, please report it as described in http://doc.trolltech.com/bughowto.html. Good bug reports make our job much simpler. Thank you.

In case of content or formattting problems with this manual page, please report them to qt-bugs@trolltech.com. Please include the name of the manual page (qdatapump.3) and the Qt version (2.3.2).